| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyEmbedderResponder Struct Reference

## Public Attributes
GObject | parent_instance
EmbedderSendKeyEvent | send_key_event
void * | send_key_event_user_data
GHashTable * | pressing_records
guint | lock_records
GHashTable * | mapping_records
StateLogicInferrence | caps_lock_state_logic_inferrence
bool | sent_any_events
GHashTable * | modifier_bit_to_checked_keys
GHashTable * | lock_bit_to_checked_keys
GHashTable * | logical_key_to_lock_bit

## Detailed Description

Definition at line 135 of file fl_key_embedder_responder.cc.

## Member Data Documentation

## ◆ caps_lock_state_logic_inferrence

StateLogicInferrence _FlKeyEmbedderResponder::caps_lock_state_logic_inferrence

Definition at line 166 of file fl_key_embedder_responder.cc.

## ◆ lock_bit_to_checked_keys

GHashTable* _FlKeyEmbedderResponder::lock_bit_to_checked_keys

Definition at line 186 of file fl_key_embedder_responder.cc.

## ◆ lock_records

guint _FlKeyEmbedderResponder::lock_records

Definition at line 151 of file fl_key_embedder_responder.cc.

## ◆ logical_key_to_lock_bit

GHashTable* _FlKeyEmbedderResponder::logical_key_to_lock_bit

Definition at line 192 of file fl_key_embedder_responder.cc.

## ◆ mapping_records

GHashTable* _FlKeyEmbedderResponder::mapping_records

Definition at line 160 of file fl_key_embedder_responder.cc.

## ◆ modifier_bit_to_checked_keys

GHashTable* _FlKeyEmbedderResponder::modifier_bit_to_checked_keys

Definition at line 178 of file fl_key_embedder_responder.cc.

## ◆ parent_instance

GObject _FlKeyEmbedderResponder::parent_instance

Definition at line 136 of file fl_key_embedder_responder.cc.

## ◆ pressing_records

GHashTable* _FlKeyEmbedderResponder::pressing_records

Definition at line 146 of file fl_key_embedder_responder.cc.

## ◆ send_key_event

EmbedderSendKeyEvent _FlKeyEmbedderResponder::send_key_event

Definition at line 138 of file fl_key_embedder_responder.cc.

## ◆ send_key_event_user_data

void* _FlKeyEmbedderResponder::send_key_event_user_data

Definition at line 139 of file fl_key_embedder_responder.cc.

## ◆ sent_any_events

bool _FlKeyEmbedderResponder::sent_any_events

Definition at line 170 of file fl_key_embedder_responder.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_key_embedder_responder.cc